﻿var parametersBase = function () {
  this.flatShading = true;
  this.body = 'Both';
  this.showFaceNormals = false;
  this.showVertexNormals = false;
  this.no_of_WidthSegments = 10;
  this.no_of_HeightSegments = 10;
  this.scaleX = 100;
  this.geometry = "Plane";
}
var parameters = new parametersBase();
var oldParameters = new parametersBase();

var gui;
var control;

function setupGui() {
  var gui = new dat.GUI();
  gui.add(parameters, "scaleX", -100, 200).name("Scale X");
  gui.add(parameters, "no_of_WidthSegments", 1, 100).step(1).name("Width segments");
  gui.add(parameters, "no_of_HeightSegments", 1, 100).step(1).name("Height segments");
  gui.add(parameters, "body", ['Points', 'Wireframe', 'Solid', 'Both']).name("Body");
  gui.add(parameters, "flatShading").name("Flat shading");
  gui.add(parameters, "geometry", ['Plane', 'Box', 'Sphere', "Teapot"]).name("Body");
  gui.open();
  var h = gui.addFolder("Show Normals");
  h.add(parameters, "showFaceNormals").name("Face");
  h.add(parameters, "showVertexNormals").name("Vertex");
  h.open();
}

